Revert "runit-void: fix issue with fsck on mounted partitions"

This reverts commit 92a5a84053.
This reverts commit 5b8e9b7443.
This commit is contained in:
classabbyamp 2024-05-11 21:39:39 -04:00 committed by classabbyamp
parent 9df9717d3a
commit 5d9a2596be
2 changed files with 1 additions and 28 deletions

View File

@ -1,27 +0,0 @@
From 8abcbe9b4cf7eb49f6e1aacf2ee3a45dae4360ba Mon Sep 17 00:00:00 2001
From: classabbyamp <void@placeviolette.net>
Date: Sat, 4 May 2024 15:50:38 -0400
Subject: [PATCH] core-services/03-filesystems.sh: ignore fsck result of 8
exit code of 8 indicates "operational error", which can happen if
CONFIG_BLK_DEV_WRITE_MOUNTED is disabled on linux>=6.8, so ignore it
see also: void-linux/void-packages#50124
---
core-services/03-filesystems.sh | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/core-services/03-filesystems.sh b/core-services/03-filesystems.sh
index bb7eac0..546927c 100644
--- a/core-services/03-filesystems.sh
+++ b/core-services/03-filesystems.sh
@@ -68,7 +68,8 @@ done
if [ -z "$FASTBOOT" ]; then
msg "Checking filesystems:"
fsck -A -T -a -t noopts=_netdev $FORCEFSCK
- if [ $? -gt 1 ]; then
+ ret="$?"
+ if [ "$ret" -gt 1 ] && [ "$ret" -ne 8 ]; then
emergency_shell
fi
fi

View File

@ -1,7 +1,7 @@
# Template file for 'runit-void'
pkgname=runit-void
version=20231124
revision=3
revision=4
build_style=gnu-makefile
short_desc="Void Linux runit scripts"
maintainer="Enno Boland <gottox@voidlinux.org>"